Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPierre-Charles David2014-09-25 12:27:48 +0000
committerPierre-Charles David2014-09-26 13:07:00 +0000
commitc84053ceb3f93bc6091784af8191f4f43737ee70 (patch)
tree1ebfccd3ca67ede45301be2459d3b99ea9f53948 /build-all.sh
parentb2ff418f173e052fb2c984957eb61c98aacd9940 (diff)
downloadorg.eclipse.sirius-c84053ceb3f93bc6091784af8191f4f43737ee70.tar.gz
org.eclipse.sirius-c84053ceb3f93bc6091784af8191f4f43737ee70.tar.xz
org.eclipse.sirius-c84053ceb3f93bc6091784af8191f4f43737ee70.zip
[441483] New feature and update-site with all tests dependencies
Add a new feature named oes.tests and a new update-site oes.sirius.tests.update, which for now contains only the sample metamodels and modelers which are needed by the automated tests, but not the tests themselves (they will be added in a later step). Because some of the tests and test modelers depend on "Sirius Query Legacy" which itself depend on Sirius, the new feature and update-site must be built in a separate step, using augmented Target Platforms which include both Sirius and Sirius Query Legacy. See the releng/oes.targets/sirius_tests*.* files. By default, these new Tests Target Platform get their version of Sirius from the latest nightly. To get a full consistent build using a Sirius core built using the exact same sources as the tests themselves, the location where Sirius is obtained can be overridden using a Maven settings file. This requires to jump through some hoops because Maven settings require absolute paths, which we can not predict. The new script build-all.sh at the root shows how this can be done. The new update-site/repository is published in a sub-directory of the main one, but the shortcut URLs (e.g. updates/nightly/latest/luna) aggregate boths, so downstream consumers do not have to be aware of the physical split. Bug: 441483 Change-Id: I06edf372223c43026bbea2256680858d134b67a6 Signed-off-by: Pierre-Charles David <pierre-charles.david@obeo.fr>
Diffstat (limited to 'build-all.sh')
-rwxr-xr-xbuild-all.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/build-all.sh b/build-all.sh
new file mode 100755
index 0000000000..d1ba5d656f
--- /dev/null
+++ b/build-all.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+readonly PLATFORM=${1:-luna}
+readonly TESTS_GOAL=${2:-package}
+readonly BASEDIR=$(pwd)
+readonly BUILD_POM="packaging/org.eclipse.sirius.parent/pom.xml"
+readonly TESTS_POM="packaging/org.eclipse.sirius.tests.parent/pom.xml"
+readonly TESTS_SETTINGS="packaging/org.eclipse.sirius.tests.parent/sirius-local-settings.xml"
+
+mvn -Dplatform-version-name="$PLATFORM" -f "$BUILD_POM" clean package
+sed -i -e "s!@BASEDIR@!$BASEDIR!" "$TESTS_SETTINGS"
+mvn -Dplatform-version-name="$PLATFORM" -s "$TESTS_SETTINGS" -f "$TESTS_POM" clean "$TESTS_GOAL"

Back to the top